Debian Bug report logs - #601885
linux-image-2.6.36-trunk-686: problem detecting usb external gadgets

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Antonio-M. Corbi Bellot" <antonio.corbi@ua.es>

Date: Sat, 30 Oct 2010 16:21:04 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version 2.6.36-1~experimental.1

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=21532

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#601885; Package linux-2.6. (Sat, 30 Oct 2010 16:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Antonio-M. Corbi Bellot" <antonio.corbi@ua.es>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 30 Oct 2010 16:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Antonio-M. Corbi Bellot" <antonio.corbi@ua.es>
To: submit@bugs.debian.org
Subject: linux-image-2.6.36-trunk-686: problem detecting usb external gadgets
Date: Sat, 30 Oct 2010 15:56:28 +0200
Package: linux-2.6
Version: 2.6.36-1~experimental.1
Severity: important
Tags: upstream

This is a Sony netbook vgn-p19vn, up to -and included- linux-image-2.6.32 usb
external gadgets work as expected -external mouse, memory sticks, etc...- are
detected after plugin them. Since 2.6.33 and up to 2.6.36 (included) external
gadgets are not detected after plugin or unplugin them (there's no line in
/var/log/syslog indicating these kind of events).

On curious thing is that if I power on the machine with an external mouse
pluged, it is recognised and works, but if I unplug it and I plug it again
it doesn't work anymore.

-- Package-specific info:
** Version:
Linux version 2.6.36-trunk-686 (Debian 2.6.36-1~experimental.1) (max@stro.at) (gcc version 4.4.5 20100902 (prerelease) (Debian 4.4.4-13) ) #1 SMP Thu Oct 28 14:08:39 UTC 2010

** Command line:
root=/dev/mapper/Debian-root ro all_generic_ide quiet vga=0x368 elevator=noop splash

** Tainted: W (512)
 * Taint on warning.

** Kernel log:
[    5.468272] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    5.586466] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    5.627853] ACPI: acpi_idle registered with cpuidle
[    5.702029] ACPI: AC Adapter [AC] (on-line)
[    5.748238] Monitor-Mwait will be used to enter C-1 state
[    5.760379] ACPI: Battery Slot [BAT0] (battery present)
[    5.794709] Monitor-Mwait will be used to enter C-2 state
[    5.827493] Monitor-Mwait will be used to enter C-3 state
[    5.862660] Monitor-Mwait will be used to enter C-3 state
[    5.862690] Marking TSC unstable due to TSC halts in idle
[    5.894668] Switching to clocksource hpet
[    6.022653] sony-laptop: Sony Programmable IO Control Driver v0.6.
[    6.043312] sony-laptop: detected Type2 model
[    6.043702] input: Sony Vaio Keys as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:16/SNY6001:00/input/input5
[    6.044080] input: Sony Vaio Jogdial as /devices/virtual/input/input6
[    6.044368] sony-laptop: device allocated minor is 58
[    6.064111] sony-laptop: Sony Notebook Control Driver v0.6.
[    6.196029] Bluetooth: Core ver 2.15
[    6.196124] NET: Registered protocol family 31
[    6.196130] Bluetooth: HCI device and connection manager initialized
[    6.196138] Bluetooth: HCI socket layer initialized
[    6.217622] Bluetooth: Generic Bluetooth USB driver ver 0.6
[    6.229665] usbcore: registered new interface driver btusb
[    6.235868] sony-laptop: brightness ignored, must be controlled by ACPI video driver
[    6.268474] cfg80211: Calling CRDA to update world regulatory domain
[    6.482481] ath9k 0000:02:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    6.482504] ath9k 0000:02:00.0: setting latency timer to 64
[    6.642482] input: PS/2 Generic Mouse as /devices/platform/i8042/serio2/input/input7
[    6.724180] HDA Intel 0000:00:1b.0: power state changed by ACPI to D0
[    6.744143] HDA Intel 0000:00:1b.0: power state changed by ACPI to D0
[    6.744177] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[    6.744329] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    6.836462] hda_codec: ALC262: SKU not ready 0x411111f0
[    6.836547] hda_codec: ALC262: BIOS auto-probing.
[    6.837484] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input8
[    6.917141] ath: EEPROM regdomain: 0x65
[    6.917151] ath: EEPROM indicates we should expect a direct regpair map
[    6.917161] ath: Country alpha2 being used: 00
[    6.917167] ath: Regpair used: 0x65
[    6.974904] phy0: Selected rate control algorithm 'ath9k_rate_control'
[    6.976497] Registered led device: ath9k-phy0::radio
[    6.976563] Registered led device: ath9k-phy0::assoc
[    6.976631] Registered led device: ath9k-phy0::tx
[    6.976714] Registered led device: ath9k-phy0::rx
[    6.976734] phy0: Atheros AR9280 Rev:2 mem=0xf9320000, irq=17
[    7.545028] EXT3-fs (dm-0): using internal journal
[    7.688690] loop: module loaded
[    7.799168] uvesafb: Intel Corporation, Intel(r)Poulsbo Graphics Controller, Hardware Version 0.0, OEM: Intel(r)Poulsbo Graphics Chip Accelerated VGA BIOS, VBE v3.0
[    7.908600] uvesafb: VBIOS/hardware doesn't support DDC transfers
[    7.908612] uvesafb: no monitor limits have been set, default refresh rate will be used
[    7.908887] uvesafb: requested VBE mode 0x11b is unavailable
[    7.908925] uvesafb: scrolling: redraw
[    7.908936] uvesafb: cannot reserve video memory at 0x7f800000
[    7.908966] uvesafb: probe of uvesafb.0 failed with error -5
[    8.322307] Adding 2654204k swap on /dev/mapper/Debian-swap_1.  Priority:-1 extents:1 across:2654204k 
[    8.580354] EXT3-fs: barriers not enabled
[    8.580622] kjournald starting.  Commit interval 5 seconds
[    8.580974] EXT3-fs (dm-5): using internal journal
[    8.580986] EXT3-fs (dm-5): mounted filesystem with ordered data mode
[    8.582952] EXT3-fs: barriers not enabled
[    8.583225] kjournald starting.  Commit interval 5 seconds
[    8.583466] EXT3-fs (dm-2): using internal journal
[    8.583477] EXT3-fs (dm-2): mounted filesystem with ordered data mode
[    8.585464] EXT3-fs: barriers not enabled
[    8.585738] kjournald starting.  Commit interval 5 seconds
[    8.588972] EXT3-fs (dm-3): using internal journal
[    8.588984] EXT3-fs (dm-3): mounted filesystem with ordered data mode
[   10.883628] fuse init (API version 7.15)
[   11.250306] kvm: disabled by bios
[   11.728334] apm: BIOS not found.
[   12.133541] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input9
[   12.327254] Bluetooth: L2CAP ver 2.15
[   12.327264] Bluetooth: L2CAP socket layer initialized
[   12.366808] Bluetooth: RFCOMM TTY layer initialized
[   12.366824] Bluetooth: RFCOMM socket layer initialized
[   12.366831] Bluetooth: RFCOMM ver 1.11
[   12.420938] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   12.420948] Bluetooth: BNEP filters: protocol multicast
[   12.463452] Bluetooth: SCO (Voice Link) ver 0.6
[   12.463461] Bluetooth: SCO socket layer initialized
[   13.050534] sshd (1597): /proc/1597/oom_adj is deprecated, please use /proc/1597/oom_score_adj instead.
[   13.069000] sky2 0000:01:00.0: eth0: enabling interface
[   13.069461] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   13.166848] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   16.312284] ip_tables: (C) 2000-2006 Netfilter Core Team
[   16.398106] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   17.132269] lo: Disabled Privacy Extensions
[   21.026499] hda-intel: Invalid position buffer, using LPIB read method instead.
[   21.028069] hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.
[   22.834846] wlan0: authenticate with 00:24:d2:e9:be:a1 (try 1)
[   22.836862] wlan0: authenticated
[   22.836928] wlan0: associate with 00:24:d2:e9:be:a1 (try 1)
[   22.840843] wlan0: RX AssocResp from 00:24:d2:e9:be:a1 (capab=0x411 status=0 aid=4)
[   22.840854] wlan0: associated
[   22.841424] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   33.456028] wlan0: no IPv6 routers present
[  343.764940] hso: /build/buildd-linux-2.6_2.6.36-1~experimental.1-i386-PYc776/linux-2.6-2.6.36/debian/build/source_i386_none/drivers/net/usb/hso.c: Option Wireless
[  343.766169] usbcore: registered new interface driver hso
[  389.776384] usb 1-2: USB disconnect, address 2
[  699.990462] lo: Disabled Privacy Extensions

** Model information
not available

** Loaded modules:
Module                  Size  Used by
hso                    21426  0 
ip6table_filter          928  0 
ip6_tables              8693  1 ip6table_filter
iptable_filter           964  0 
ip_tables               7810  1 iptable_filter
x_tables                9273  4 ip6table_filter,ip6_tables,iptable_filter,ip_tables
sco                     5947  2 
bnep                    7490  2 
acpi_cpufreq            4539  0 
mperf                    959  1 acpi_cpufreq
rfcomm                 24320  8 
l2cap                  26406  16 bnep,rfcomm
crc16                   1035  1 l2cap
cpufreq_userspace       1500  0 
cpufreq_conservative     6190  0 
cpufreq_stats           1934  0 
cpufreq_powersave        614  0 
kvm                   187701  0 
uinput                  5106  1 
fuse                   47270  1 
ext2                   45902  1 
uvesafb                17372  0 
cn                      3681  2 uvesafb
loop                   10184  0 
arc4                    1002  2 
ecb                     1413  2 
snd_hda_codec_realtek   177558  1 
snd_hda_intel          16557  3 
snd_hda_codec          55937  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4038  1 snd_hda_codec
snd_pcm_oss            27474  0 
snd_mixer_oss          10359  1 snd_pcm_oss
snd_pcm                46944  4 snd_hda_intel,snd_hda_codec,snd_pcm_oss
ath9k                  59916  0 
snd_seq_midi            3602  0 
mac80211              143631  1 ath9k
snd_rawmidi            12629  1 snd_seq_midi
snd_seq_midi_event      3750  1 snd_seq_midi
ath9k_common            2740  1 ath9k
snd_seq                34688  2 snd_seq_midi,snd_seq_midi_event
ath9k_hw              243126  2 ath9k,ath9k_common
ath                     6286  2 ath9k,ath9k_hw
snd_timer              12485  2 snd_pcm,snd_seq
btusb                   7851  2 
cfg80211               97931  3 ath9k,mac80211,ath
i2c_isch                2346  0 
snd_seq_device          3659  3 snd_seq_midi,snd_rawmidi,snd_seq
bluetooth              37018  9 sco,bnep,rfcomm,l2cap,btusb
i2c_core               12882  1 i2c_isch
sony_laptop            20589  0 
snd                    34129  16 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
rfkill                 10806  5 hso,bluetooth,cfg80211,sony_laptop
tpm_tis                 5313  0 
led_class               1567  1 ath9k
battery                 4122  0 
ac                      1656  0 
processor              22779  3 acpi_cpufreq
tpm                     7955  1 tpm_tis
psmouse                38325  0 
shpchp                 18111  0 
tpm_bios                3573  1 tpm
evdev                   5563  16 
soundcore               3426  1 snd
serio_raw               2902  0 
pcspkr                  1219  0 
snd_page_alloc          5041  2 snd_hda_intel,snd_pcm
lpc_sch                 1226  0 
pci_hotplug            16971  1 shpchp
mfd_core                1022  1 lpc_sch
ext3                   92361  4 
jbd                    31860  1 ext3
mbcache                 3776  2 ext2,ext3
dm_mod                 49160  20 
usbhid                 26580  0 
hid                    50479  1 usbhid
uhci_hcd               15706  0 
ehci_hcd               27911  0 
usbcore                94858  6 hso,btusb,usbhid,uhci_hcd,ehci_hcd
video                  15297  0 
sky2                   32992  0 
sd_mod                 24186  3 
thermal                 9458  0 
output                  1212  1 video
button                  3610  0 
thermal_sys             9328  3 processor,video,thermal
crc_t10dif              1020  1 sd_mod
nls_base                4521  1 usbcore
ata_generic             1983  2 
libata                115480  1 ata_generic
scsi_mod              128064  2 sd_mod,libata

** Network interface configuration:

auto lo
iface lo inet loopback


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:1d:ba:ba:87:4d brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:23:4d:e4:ae:1b brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.193/24 brd 192.168.0.255 scope global wlan0
    inet6 fe80::223:4dff:fee4:ae1b/64 scope link 
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   69227     258    0    0    0     0          0         0    69227     258    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0: 32688215   27217    0    0    0     0          0         0  1634205   18581    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    27353 total packets received
    0 forwarded
    0 incoming packets discarded
    27317 incoming packets delivered
    18738 requests sent out
    8 outgoing packets dropped
Icmp:
    10 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 10
    10 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 10
IcmpMsg:
        InType3: 10
        OutType3: 10
Tcp:
    62 active connections openings
    2 passive connection openings
    2 failed connection attempts
    1 connection resets received
    2 connections established
    27241 segments received
    18670 segments send out
    1 segments retransmited
    0 bad segments received.
    11 resets sent
Udp:
    50 packets received
    10 packets to unknown port received.
    0 packet receive errors
    59 packets sent
UdpLite:
TcpExt:
    12 packets pruned from receive queue because of socket buffer overrun
    6 TCP sockets finished time wait in fast timer
    14341 delayed acks sent
    2 delayed acks further delayed because of locked socket
    Quick ack mode was activated 30 times
    9 packets directly queued to recvmsg prequeue.
    7572 bytes directly received in process context from prequeue
    9363 packet headers predicted
    126 acknowledgments not containing data payload received
    200 predicted acknowledgments
    1 other TCP timeouts
    230 packets collapsed in receive queue due to low socket buffer
    30 DSACKs sent for old packets
    1 connections reset due to early user close
IpExt:
    InBcastPkts: 9
    InOctets: 32372129
    OutOctets: 1068013
    InBcastOctets: 2942

*** Device features:
eth0: 0x10010983
lo: 0x13865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation System Controller Hub (SCH Poulsbo) [8086:8100] (rev 06)
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller [8086:8108] (rev 06) (prog-if 00 [VGA controller])
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at 94200000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 6070 [size=8]
	Region 2: Memory at 80000000 (32-bit, non-prefetchable) [size=256M]
	Region 3: Memory at 94280000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation System Controller Hub (SCH Poulsbo) HD Audio Controller [8086:811b] (rev 06)
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at 942c0000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 1 [8086:8110] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00004000-00005fff
	Memory behind bridge: 93100000-941fffff
	Prefetchable memory behind bridge: 90000000-90ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1c.1 PCI bridge [0604]: Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 2 [8086:8112] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: 92000000-930fffff
	Prefetchable memory behind bridge: 91000000-91ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1d.0 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #1 [8086:8114] (rev 06) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 21
	Region 4: I/O ports at 6040 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #2 [8086:8115] (rev 06) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 22
	Region 4: I/O ports at 6020 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #3 [8086:8116] (rev 06) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 23
	Region 4: I/O ports at 6000 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation System Controller Hub (SCH Poulsbo) USB EHCI #1 [8086:8117] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin D routed to IRQ 20
	Region 0: Memory at 7f800000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation System Controller Hub (SCH Poulsbo) LPC Bridge [8086:8119] (rev 06)
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:1f.1 IDE interface [0101]: Intel Corporation System Controller Hub (SCH Poulsbo) IDE Controller [8086:811a] (rev 06) (prog-if 80 [Master])
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at 6060 [size=16]
	Kernel driver in use: ata_generic

01:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8057 PCI-E Gigabit Ethernet Controller [11ab:4380] (rev 10)
	Subsystem: Sony Corporation Device [104d:9039]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at 93100000 (64-bit, non-prefetchable) [size=16K]
	Region 2: I/O ports at 4000 [size=256]
	Expansion ROM at 90000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: sky2

02:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)
	Subsystem: Foxconn International, Inc. Device [105b:e007]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at 92000000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k


** USB devices:
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 044e:3017 Alps Electric Co., Ltd BCM2046 Bluetooth Device
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.36-trunk-686 depends on:
ii  debconf [debconf 1.5.36                  Debian configuration management sy
ii  initramfs-tools  0.98.5                  tools for generating an initramfs
ii  linux-base       2.6.36-1~experimental.1 Linux image base package
ii  module-init-tool 3.12-1                  tools for managing Linux kernel mo

Versions of packages linux-image-2.6.36-trunk-686 recommends:
ii  firmware-linux-f 2.6.36-1~experimental.1 Binary firmware for various driver
ii  libc6-i686       2.11.2-6                Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.36-trunk-686 suggests:
ii  grub-legacy [grub]            0.97-63    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.36              <none>     (no description available)

Versions of packages linux-image-2.6.36-trunk-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.27       Binary firmware for Intel Wireless
ii  firmware-linux                0.27       Binary firmware for various driver
ii  firmware-linux-nonfree        0.27       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.27       Binary firmware for Ralink wireles
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.36-trunk-686/postinst/depmod-error-initrd-2.6.36-trunk-686: false
  linux-image-2.6.36-trunk-686/postinst/missing-firmware-2.6.36-trunk-686:
  linux-image-2.6.36-trunk-686/postinst/ignoring-do-bootloader-2.6.36-trunk-686:
  linux-image-2.6.36-trunk-686/prerm/removing-running-kernel-2.6.36-trunk-686: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#601885; Package linux-2.6. (Sun, 31 Oct 2010 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 31 Oct 2010 09:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 601885@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Antonio-M. Corbi Bellot" <antonio.corbi@ua.es>, 601885@bugs.debian.org
Subject: Re: Bug#601885: linux-image-2.6.36-trunk-686: problem detecting usb external gadgets
Date: Sun, 31 Oct 2010 10:08:55 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-10-30 at 15:56 +0200, Antonio-M. Corbi Bellot wrote:
> Package: linux-2.6
> Version: 2.6.36-1~experimental.1
> Severity: important
> Tags: upstream
> 
> This is a Sony netbook vgn-p19vn, up to -and included- linux-image-2.6.32 usb
> external gadgets work as expected -external mouse, memory sticks, etc...- are
> detected after plugin them. Since 2.6.33 and up to 2.6.36 (included) external
> gadgets are not detected after plugin or unplugin them (there's no line in
> /var/log/syslog indicating these kind of events).

Please report this upstream at <https://bugzilla.kernel.org>, under
product 'Drivers', component 'USB'.  Let us know the bug number or URL
so that we can track it.

> On curious thing is that if I power on the machine with an external mouse
> pluged, it is recognised and works, but if I unplug it and I plug it again
> it doesn't work anymore.
> 
> -- Package-specific info:
> ** Version:
> Linux version 2.6.36-trunk-686 (Debian 2.6.36-1~experimental.1) (max@stro.at) (gcc version 4.4.5 20100902 (prerelease) (Debian 4.4.4-13) ) #1 SMP Thu Oct 28 14:08:39 UTC 2010
> 
> ** Command line:
> root=/dev/mapper/Debian-root ro all_generic_ide quiet vga=0x368 elevator=noop splash
> 
> ** Tainted: W (512)
>  * Taint on warning.
[...]

You should include the warning message from the kernel log (probably in
/var/log/dmesg) in your report.

Ben

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 31 Oct 2010 09:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#601885; Package linux-2.6. (Sun, 31 Oct 2010 12:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Antonio-M. Corbi Bellot" <antonio.corbi@ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 31 Oct 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 601885@bugs.debian.org (full text, mbox):

From: "Antonio-M. Corbi Bellot" <antonio.corbi@ua.es>
To: 601885@bugs.debian.org
Subject: submitted upstream
Date: Sun, 31 Oct 2010 10:55:57 +0100
Hi, as yo told me I've submitted this bug upstream. 

The bug number is 21532. Hope this helps.

A. Corbi




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=21532'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 31 Oct 2010 13:24:02 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 31 Oct 2010 13:24:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 23 Feb 2012 16:42:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:21:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.